#  BEEN: Benchmarking Environment
#  ==============================
#
#  File author: Jakub Lehotsky
#
#  GNU Lesser General Public License Version 2.1
#  ---------------------------------------------
#  Copyright (C) 2004-2006 Distributed Systems Research Group,
#  Faculty of Mathematics and Physics, Charles University in Prague
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License version 2.1, as published by the Free Software Foundation.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#  MA  02111-1307  USA

# Note: these functions are documented in .hlp files, that come together with whole R package, and
#		can be browsed via BEEN UI. See BEEN web packages for more R packages to download

### Hosts handling functions
base.getHostsList <- function (aid, eid) {

		filename = paste(base.getDatabaseRoot(), "/", aid, "/", eid, "/roles", sep="");
		
		roleList = scan(filename, what=list(integer(0), character(0), character(0)), sep = "\t");
		roleList;

}

base.getHost <- function (aid, eid, index) {

		base.getHostsList(aid,eid)[[3]][index + 1];

}

base.getRole <- function (aid, eid, index) {

		base.getHostsList(aid,eid)[[2]][index + 1];

}

base.getHostCount <- function (aid, eid, inedx) {

		length(base.getHostsList(aid, eid)[[1]]);
	
}