#  BEEN: Benchmarking Environment
#  ==============================
#
#  File author: Jakub Lehotsky
#
#  GNU Lesser General Public License Version 2.1
#  ---------------------------------------------
#  Copyright (C) 2004-2006 Distributed Systems Research Group,
#  Faculty of Mathematics and Physics, Charles University in Prague
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License version 2.1, as published by the Free Software Foundation.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#  MA  02111-1307  USA

# Note: these functions are documented in .hlp files, that come together with whole R package, and
#		can be browsed via BEEN UI. See BEEN web packages for more R packages to download

### Basic initialization of R system for BEEN and some global definitions

## The root directory, where database is stored
base.dbaseRoot <- "";
## Internal variable
base.map <- list(character(0), character(0), character(0), character(0));

## Initializes database root, needed to be executed before any other R function for BEEN
base.initScripts <- function(rootDirectory) {
	write("Intializing R scripts with database root:", file=stderr());
	base.dbaseRoot <<- rootDirectory;
	write(base.dbaseRoot, file=stderr());	
}

## Returns the root directory, where database is stored
base.getDatabaseRoot <- function() {
	base.dbaseRoot;
}
