package cz.cuni.mff.been.benchmarkmanager.plugins.rubis;

import java.text.DateFormat;
import java.util.Date;

import cz.cuni.mff.been.benchmarkmanager.ExperimentMetadata;
import cz.cuni.mff.been.benchmarkmanager.plugins.TimestampBasedVersionProvider;

/**
 * Version provider for the Rubis plugin.
 * 
 * @author Jaroslav Urban
 */
public class RubisVersionProvider extends TimestampBasedVersionProvider{

	@Override
	public ExperimentMetadata handleTimestamp(long timestamp) throws Exception {
		ExperimentMetadata newExp = duplicateModel();
		
		/*
		 * Create a nice name for the new experiment, that contains
		 * the name of the benchmarked software and time.
		 */
		
		String ejbServer = newExp.getProperty(RubisTaskGenerator.EJB_SERVER);
		DateFormat formatter = DateFormat.getDateTimeInstance();
		if (ejbServer.equals("JBoss")) {
			newExp.setName("JBoss " + formatter.format(new Date(timestamp)));
		}
		if (ejbServer.equals("Jonas")) {
			newExp.setName("Jonas " + formatter.format(new Date(timestamp)));
		}
		
		// set the ejb server version to the timestamp
		newExp.setProperty(RubisTaskGenerator.EJB_SERVER_VERSION,
				String.valueOf(timestamp));
		
		return newExp;
	}

}
