/*
 * Created on Dec 16, 2006
 *
 * BEEN
 * @author Jaroslav Urban
 */
package cz.cuni.mff.been.common;

/**
 * Input validator. The value must be an integer in a set interval.
 * 
 * @author Jaroslav Urban
 */
public class IntegerIntervalInputValidator extends IntegerInputValidator {
	/** Minimum allowed value. */ 
	private int min;
	/** Maximum allowed value. */
	private int max;
	
	/**
	 * Allocates a new <code>IntegerIntervalInputValidator</code> object.
	 *
	 * @param min
	 * @param max
	 */
	public IntegerIntervalInputValidator(int min, int max) {
		this.min = min;
		this.max = max;
	}
	
	public String validate(String value) {
		String message;
		if ((message = super.validate(value)) != null) {
			return message;
		}
		
		int i = Integer.valueOf(value);
		if (i < min) {
			return "Invalid value '" + value 
				+ "'. Must be greater or equal to '" + min + "'.";
		}
		if (i > max) {
			return "Invalid value '" + value 
				+ "'. Must be less or equal to '" + max + "'.";
		}
		
		// OK
		return null;
	}
}
