package cz.cuni.mff.been.common.anttasks;

import java.io.File;

import org.apache.tools.ant.Project;

public class Tar extends org.apache.tools.ant.taskdefs.Tar {

	/**
	 * Allocates a new <code>Zip</code> object
	 */
	private Tar() {
		// dummy ant project
		Project antProject = new Project();
		antProject.init();
		setProject(antProject);
		// dummy ant task name
		setTaskName("tar");
		setTaskType("tar");
		// dummy ant target
		setOwningTarget(null);
	}
	
	/**
	 * Archives directory to a tar file
	 * 
	 * @param sourceDir 	directory to archive
	 * @param archive 		destination archive
	 * @param compression	optional compression method to use. Available values are:
	 * <ul>
     *   <li>none - no compression
     *   <li>gzip - Gzip compression
     *   <li>bzip2 - Bzip2 compression
     * </ul>
     * <code>null</code> defaults to "none"
     * 
	 * @throws AntTaskException if anything goes wrong.
	 * 						
	 */
	public static void tar(String sourceDir, String archive, String compression) 
	throws AntTaskException {
		Tar task = new Tar();
		task.setBasedir(new File(sourceDir));
		task.setDestFile(new File(archive));
		if (compression != null) {
			TarCompressionMethod comp = new TarCompressionMethod();
			comp.setValue(compression);
			task.setCompression(comp);
		}
		try {
		task.execute();
		} catch (Exception e) {
			throw new AntTaskException("Archiving failed",e);
		}
	}
	
}
