/*
 *  BEEN: Benchmarking Environment
 *  ==============================
 *
 *  File author: Jakub Lehotsky
 *
 *  GNU Lesser General Public License Version 2.1
 *  ---------------------------------------------
 *  Copyright (C) 2004-2006 Distributed Systems Research Group,
 *  Faculty of Mathematics and Physics, Charles University in Prague
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 */
package cz.cuni.mff.been.resultsrepository;

import java.io.File;
import java.io.IOException;
import java.net.InetAddress;

import cz.cuni.mff.been.common.UploadHandle;

/**
 * Temporary class for example purposes
 * 
 * @author Jakub Lehotsky
 *
 */
public class ImportDumb implements ImportInterface {
			
	private static Database database;
	
	public void setDatabase(Database aDatabase) {
		database = aDatabase;
	}
		
	public UploadHandle beginAnalysesImport(InetAddress ip, int port)
			throws ResultsRepositoryBusyException {
		
		File tmpFile = new File(database.getTempDirectory() + "/import.tmp");
		if (tmpFile.exists()) {
			tmpFile.delete();
		}
		
		try {
			return (database.uploadFile(tmpFile.getAbsolutePath(), 
				ip.getCanonicalHostName(), port, false, false, null, null));
		} catch (IOException e) {
			return null;
		}
	}
	  		
	public UploadHandle beginExperimentsImport(InetAddress ip, int port) 
			throws ResultsRepositoryBusyException {
		
		File tmpFile = new File(database.getTempDirectory() + "/import.tmp");
		if (tmpFile.exists()) {
			tmpFile.delete();
		}
		
		try {
			return (database.uploadFile(tmpFile.getAbsolutePath(), 
				ip.getCanonicalHostName(), port, false, false, null, null));
		} catch (IOException e) {
			return null;
		}
	}
	  
	public UploadHandle beginBinariesImport(InetAddress ip, int port) 
			throws ResultsRepositoryBusyException {
		
		File tmpFile = new File(database.getTempDirectory() + "/import.tmp");
		if (tmpFile.exists()) {
			tmpFile.delete();
		}
						
		try {
			return (database.uploadFile(tmpFile.getAbsolutePath(), 
				ip.getCanonicalHostName(), port, false, false, null, null));
		} catch (IOException e) {
			return null;
		}
	}
	  		
	public UploadHandle beginRunsImport(InetAddress ip, int port) 
			throws ResultsRepositoryBusyException {
		
		File tmpFile = new File(database.getTempDirectory() + "/import.tmp");
		if (tmpFile.exists()) {
			tmpFile.delete();
		}
				
		try {
			return (database.uploadFile(tmpFile.getAbsolutePath(), 
				ip.getCanonicalHostName(), port, false, false, null, null));
		} catch (IOException e) {
			return null;
		}
	}
}
