/*
 *  BEEN: Benchmarking Environment
 *  ==============================
 *
 *  File author: Jakub Lehotsky
 *
 *  GNU Lesser General Public License Version 2.1
 *  ---------------------------------------------
 *  Copyright (C) 2004-2006 Distributed Systems Research Group,
 *  Faculty of Mathematics and Physics, Charles University in Prague
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 */
package cz.cuni.mff.been.resultsrepository;

import java.io.Serializable;

/**
 * Class containing one single information about one item of the validity maps table
 *
 * @author Jakub Lehotsky
 */
public class NumberedItem implements Serializable {
	
	/** Item key - numerical index - int */
	private long key;
	/** Item value. */
	private String value;

	/** @return the key */
	public long getKey() {
		return key;
	}

	/** @return the value */
	public String getValue() {
		return value;
	}

	/**
	 * Allocates a new <code>MetadataItem</code> object.
	 * 
	 * @param key metadata key
	 * @param value metadta value
	 */
	public NumberedItem(long key, String value) {
		this.key = key;
		this.value = value;
	}
}
