/*
 *  BEEN: Benchmarking Environment
 *  ==============================
 *
 *  File author: Jakub Lehotsky
 *
 *  GNU Lesser General Public License Version 2.1
 *  ---------------------------------------------
 *  Copyright (C) 2004-2006 Distributed Systems Research Group,
 *  Faculty of Mathematics and Physics, Charles University in Prague
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 */
package cz.cuni.mff.been.resultsrepository;

/**
 * Results Repository R callback entity
 * 
 * @author Jakub Lehotsky
 */
public enum RCallbackEntity {
	
	    /** Run */
	    RUN, 
	    /** Binary */
	    BINARY, 
	    /** Experiment */
	    EXPERIMENT, 	     
	    /** Analysis */
	    ANALYSIS; 
	    

	    private RCallbackEntity() {	    	
	    }
	    
	    /**
	     * Returns short string (one word) describing entity
	     * 
	     * @return short status string 
	     */    
	    public String toString() {
	    	
	    	switch (this) {
	    		case RUN:
	    			return new String("run");
	    		case BINARY:
	    			return new String("binary");	    			
	    		case EXPERIMENT:
	    			return new String("experiment");
	    		case ANALYSIS:
	    			return new String("analysis");
	    		default:
	    			return new String("invalid entity");
	    	}
	    	
	    	
	    }
}
