/*
 *  BEEN: Benchmarking Environment
 *  ==============================
 *
 *  File author: David Majda
 *
 *  GNU Lesser General Public License Version 2.1
 *  ---------------------------------------------
 *  Copyright (C) 2004-2006 Distributed Systems Research Group,
 *  Faculty of Mathematics and Physics, Charles University in Prague
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 */
package cz.cuni.mff.been.resultsrepository.gui;

import java.io.Serializable;

/**
 * Class containing information about import/export data formats. Used to
 * exchange this information with the web interface.  
 *
 * @author David Majda
 */
public class DataFormat implements Serializable {
	/** Format identifier (i.e. "text/xml"). */
	private String id;
	/** Format name (i.e. "XML"). */
	private String name;

	/** @return the id */
	public String getId() {
		return id;
	}

	/** @return the name */
	public String getName() {
		return name;
	}

	/**
	 * Allocates a new <code>DataFormat</code> object.
	 * 
	 * @param id format identifier
	 * @param name format name
	 */
	public DataFormat(String id, String name) {
		super();
		this.id = id;
		this.name = name;
	}
}
