/*
 *  BEEN: Benchmarking Environment
 *  ==============================
 *
 *  File author: David Majda
 *
 *  GNU Lesser General Public License Version 2.1
 *  ---------------------------------------------
 *  Copyright (C) 2004-2006 Distributed Systems Research Group,
 *  Faculty of Mathematics and Physics, Charles University in Prague
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 */
package cz.cuni.mff.been.resultsrepository.gui;

import java.io.Serializable;

/**
 * Class containing information about graph. Used to exchange this information
 * with the web interface.  
 *
 * @author David Majda
 */
public class GraphInfo implements Serializable {
	/** Graph width. */
	private int width;
	/** Graph height. */
	private int height;
	/** Graph title. */
	private String title;

	/** @return the graph title */
	public int getWidth() {
		return width;
	}

	/** @return the graph title */
	public int getHeight() {
		return height;
	}
	
	/** @return the graph title */
	public String getTitle() {
		return title;
	}

	/**
	 * Allocates a new <code>GraphInfo</code> object.
	 * 
	 * @param width graph width
	 * @param height graph height
	 * @param title graph title
	 */
	public GraphInfo(int width, int height, String title) {
		super();
		this.width = width;
		this.height = height;
		this.title = title;
	}
}
