package cz.cuni.mff.been.resultsrepository.gui;

import java.io.Serializable;

/**
 * Contains help for one R function.
 * 
 * @author David Majda
 */
public class RFunctionHelp implements Serializable {
	/** Function name. */
	private String name;
	/** Function signature (name with parameter specification). */
	private String signature;
	/** Function description in XHTML. */
	private String description;
		
	/** @return function name */
	public String getName() {
		return name;
	}
	
	/** @return function signature (name with parameter specification) */
	public String getSignature() {
		return signature;
	}
	
	/** @return function description in HTML */
	public String getDescription() {
		return description;
	}

	/**
	 * Allocates a new <code>RFunctionHelp</code> object.
	 * 
	 * @param name function name
	 * @param signature function signature (name with parameter specification)
	 * @param description function description in XHTML
	 */
	public RFunctionHelp(String name, String signature, String description) {
		this.name = name;
		this.signature = signature;
		this.description = description;
	}
}
