package cz.cuni.mff.been.resultsrepository.gui;

import java.io.Serializable;

/**
 * Describes R script package installed in the Results Repository.
 * 
 * @author David Majda
 */
public class RScriptPackage implements Serializable {
	/**
	 * R script package name. Identifies the package uniquely in the Results
	 * Reposiotry.
	 */
	private String name;
	/** R script package description. */
	private String description;
	
	/** @return R script package name */ 
	public String getName() {
		return name;
	}

	/** @return R script package description */ 
	public String getDescription() {
		return description;
	}
	
	/**
	 * Allocates a new <code>RScriptPackage</code> object.
	 * 
	 * @param name R script package name. Identifies the package uniquely in the
	 *         Results Reposiotry
	 * @param description R script package description
	 */
	public RScriptPackage(String name, String description) {
		this.name = name;
		this.description = description;
	}	
}
