/*
 *  BEEN: Benchmarking Environment
 *  ==============================
 *
 *  File author: Jakub Lehotsky
 *
 *  GNU Lesser General Public License Version 2.1
 *  ---------------------------------------------
 *  Copyright (C) 2004-2006 Distributed Systems Research Group,
 *  Faculty of Mathematics and Physics, Charles University in Prague
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 */
package cz.cuni.mff.been.resultsrepository.test;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.Remote;
import java.rmi.RemoteException;

import cz.cuni.mff.been.resultsrepository.ResultsRepositoryDebugInterface;

public class TestRunScripts {

	private Remote getResultsRepositoryIface(String iface) {
		// try to obtain reference ASAP and do nothing if we fail to get it
		Remote resultsRepository = null;
		try {
			resultsRepository = Naming.lookup(iface);
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (RemoteException e) {
			e.printStackTrace();
		} catch (NotBoundException e) {
			e.printStackTrace();
		}
	
		return resultsRepository;
	}

	private void run() {
		System.out.println("Getting results repository RMI reference ... ");
		ResultsRepositoryDebugInterface rrDebugInstance = 
			(ResultsRepositoryDebugInterface) getResultsRepositoryIface("been/resultsrepository/debug");
		
		try {
			
			rrDebugInstance.enqueueScriptExecution(null, null, "beendemo.notifyAlive()");
			rrDebugInstance.enqueueScriptExecution(null, null, "beendemo.generateRunsStatistics(667,666,666, valid = TRUE)");
			rrDebugInstance.enqueueScriptExecution(null, null, "beendemo.generateBinaryStatistics(667,666,666, valid = TRUE)");
			rrDebugInstance.enqueueScriptExecution(null, null, "beendemo.generateExperimentStatistics(667,666, valid = TRUE)");
			rrDebugInstance.enqueueScriptExecution(null, null, "beendemo.generateExperimentGraph(667,666, valid = TRUE)");
			
		} catch (RemoteException e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] argv) {
	
		TestRunScripts instance = new TestRunScripts();
		instance.run();
	
	}

}
