/*
 *  BEEN: Benchmarking Environment
 *  ==============================
 *
 *  File author: Michal Tomcanyi
 *
 *  GNU Lesser General Public License Version 2.1
 *  ---------------------------------------------
 *  Copyright (C) 2004-2006 Distributed Systems Research Group,
 *  Faculty of Mathematics and Physics, Charles University in Prague
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 */
package cz.cuni.mff.been.task.omniorb.source;


import java.io.File;

import cz.cuni.mff.been.common.anttasks.AntTaskException;
import cz.cuni.mff.been.common.anttasks.Tar;
import cz.cuni.mff.been.task.Job;
import cz.cuni.mff.been.task.TaskException;
import cz.cuni.mff.been.task.TaskInitializationException;

public class OmniorbSourcePackage extends Job {

	private static final String PROPERTY_SOURCE_ROOT = "omniorb.source.root";
	private static final String SOURCE_ARCHIVE_NAME = "xampler-source.tar.gz";
	
	public OmniorbSourcePackage() throws TaskInitializationException {
		super();
	}
	
	protected void run() throws TaskException {
		File destArchive = new File(getWorkingDirectory(),SOURCE_ARCHIVE_NAME);
		try {
		Tar.tar(getTaskProperty(PROPERTY_SOURCE_ROOT),destArchive.getAbsolutePath(),"gzip");
		} catch (AntTaskException e) {
			throw new TaskException("Can't create omniorb source archive",e);
		}
	}
	
	protected void checkRequiredProperties() throws TaskException {
		checkRequiredProperty(PROPERTY_SOURCE_ROOT);
	}

}
