package cz.cuni.mff.been.webinterface.event;

/**
 * Callback interface used when listening for events in the web interface.
 * Those who are interested in the events the must register using
 * <code>EventManager.registerEventListener</code> method and later unregister
 * using <code>EventManager.unregisterEventListener</code>. 
 * 
 * @author David Majda
 */
public interface EventListener {
	/**
	 * Called when an event is sent to the event manager.
	 * 
	 * @param event sent event
	 */
	void receiveEvent(Event event);
}
