<%--

  BEEN: Benchmarking Environment
  ==============================
   
  File author: David Majda

  GNU Lesser General Public License Version 2.1
  ---------------------------------------------
  Copyright (C) 2004-2006 Distributed Systems Research Group,
  Faculty of Mathematics and Physics, Charles University in Prague

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1, as published by the Free Software Foundation.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

--%><%@
	include file="includes.jsp"
%><%@ page
	import="cz.cuni.mff.been.benchmarkmanager.*"
	import="cz.cuni.mff.been.benchmarkmanager.gui.*"
	import="cz.cuni.mff.been.common.id.*"
%><%
	page_.writeInfoMessages();
	page_.writeErrorMessages();

	BRID brid = (BRID)application.getAttribute("brid");
	BeenPluginDescriptor[] plugins = (BeenPluginDescriptor[])application.getAttribute("plugins");
	PEID pluginId = (PEID)application.getAttribute("pluginId");
%>
<form id="benchmarks-run-select-plugin-form" action="<%=page_.currentActionURL()%>" method="post">
	<input type="hidden" name="brid" value="<%=Routines.htmlspecialchars(brid.toString())%>" />
	<table class="form center-block">
		<tr>
			<td colspan="2"><h2>Select plugin</h2></td>
		</tr>
		<tr>
			<th>Plugins:</th>
			<td>
				<select id="plugin-list" name="plugin-id" class="name-plugin-id"
					size="<%=Routines.bounded(plugins.length, 2, 10)%>"
					onchange="benchmarksRunSelectPluginPluginListChange();"
				>
					<% for (int i = 0; i < plugins.length; i++) { %>
						<% BeenPluginDescriptor plugin = plugins[i]; %>
						<option
							value="<%=Routines.htmlspecialchars(plugin.getID().toString())%>"
							<%=plugin.getID().equals(pluginId) ? " selected=\"selected\"" : ""%>
						><%=Routines.htmlspecialchars(plugin.getName())%></option>
					<% } %>
				</select>
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>
				<div id="plugin-description-outer"><div id="plugin-description">&nbsp;</div></div>
			</td>
		</tr>
		<tr>
			<td class="buttons" colspan="2">
				<input type="submit" class="type-submit" name="previous" value="< Previous" disabled="disabled" />
				<input type="submit" class="type-submit" name="next" value="Next >" />
				&nbsp;
				<input type="submit" class="type-submit" name="cancel" value="Cancel" />
			</td>
		</tr>
	</table>
</form>
<script type="text/javascript">
	pluginDescriptions = [];
	<% for (int i = 0; i < plugins.length; i++) { %>
		<% BeenPluginDescriptor plugin = plugins[i]; %>
		pluginDescriptions["<%=Routines.javaScriptEscape(plugin.getID().toString())%>"]
			= "<%=Routines.javaScriptEscape(plugin.getDescription())%>";
	<% } %>
	benchmarksRunSelectPluginPluginListChange();
</script>