<%--

  BEEN: Benchmarking Environment
  ==============================
   
  File author: David Majda

  GNU Lesser General Public License Version 2.1
  ---------------------------------------------
  Copyright (C) 2004-2006 Distributed Systems Research Group,
  Faculty of Mathematics and Physics, Charles University in Prague

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1, as published by the Free Software Foundation.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

--%><%@
	include file="includes.jsp"
%><%@ page
	import="cz.cuni.mff.been.resultsrepository.gui.*"
	import="cz.cuni.mff.been.logging.*"
	import="java.util.EnumSet"
%><%
	page_.writeInfoMessages();
	page_.writeWarningMessages();
	page_.writeErrorMessages();

	Entity analysis = (Entity)application.getAttribute("analysis");
	List experiments = (List)application.getAttribute("experiments");
	GraphInfo[] graphInfos = (GraphInfo[])application.getAttribute("graphInfos");
	LogRecord[] logRecords = (LogRecord[])application.getAttribute("logRecords");
	EnumSet logFields = (EnumSet)application.getAttribute("logFields");
	LogEntityColumn[] logEntityColumns = (LogEntityColumn[])application.getAttribute("logEntityColumns");
	String file = (String)application.getAttribute("file");
	DataFormat[] importFormats = (DataFormat[])application.getAttribute("importFormats");
	DataFormat[] exportFormats = (DataFormat[])application.getAttribute("exportFormats");
	String activeSheet = (String)application.getAttribute("activeSheet");
%>
<div class="bar"><div class="top-left"><div class="top-right"><div class="bottom-left"><div class="bottom-right"><div class="inner">
	<a href="<%=page_.actionURL("analysis-list")%>">Analyses</a>
	&raquo;
	<a
		href="<%=page_.currentActionURL()%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>"
	><%=Routines.htmlspecialchars(analysis.getName())%></a>
</div></div></div></div></div></div>

<h1><%=Routines.htmlspecialchars(page_.getTitle())%></h1>

<%
	HashMap data = new HashMap();

	HashMap formParams = new HashMap();
	formParams.put("aid", analysis.getId().toString());
%>

<table class="spacing center-block">
	<tr>
		<td>
			<h2>Experiments</h2>
			<% if (experiments.size() > 0) { %>
				<table class="list">
					<tr>
						<th>Name</th>
						<th>Complete</th>
						<th>&nbsp;</th>
					</tr>
					<% boolean anyIncomplete = false; %>
					<% for (int i = 0; i < experiments.size(); i++) { %>
						<% Entity experiment = (Entity)experiments.get(i); %>
					  	<% if (!experiment.isComplete()) { anyIncomplete = true; } %>
						<tr<%=!experiment.isComplete() ? " class='incomplete-invisible'" : ""%>>
							<th>
								<input type="checkbox" onclick="resultsAnalysisDetailsExperimentCheckboxClick(this, <%=Routines.htmlspecialchars(experiment.getId().toString())%>);" />
								<a
									 href="<%=page_.actionURL("experiment-details")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>&amp;eid=<%=Routines.htmlspecialchars(experiment.getId().toString())%>"
								><%=Routines.htmlspecialchars(experiment.getName())%></a>
							</th>
							<%=
								experiment.isComplete()
									? "<td class=\"entity-status-complete\">yes</td>"
									: "<td class=\"entity-status-incomplete\">no</td>"
							%>
							<td>
								<form action="<%=page_.actionURL("experiment-delete")%>"
									onsubmit="return confirm('Do you really want to delete experiment &quot;<%=Routines.htmlspecialchars(Routines.javaScriptEscape(experiment.getName()))%>&quot;?');">
									<input type="hidden" name="aid" value="<%=Routines.htmlspecialchars(analysis.getId().toString())%>" />
									<input type="hidden" name="eid" value="<%=Routines.htmlspecialchars(experiment.getId().toString())%>" />
									<input type="submit" class="type-submit" value="Delete"
										<%=experiment.isDeletable() ? "" : "disabled=\"disabled\""%>
									/>
								</form>
							</td>
						</tr>
					<% } %>
				</table>
				<% if (anyIncomplete) { %>
					<p class="center">
						<a href="#" onclick="resultsAnalysisDetailsShowIncompleteExperimentsLinkClick(this); return false;">Show incomplete experiments &raquo;</a>
					</p>
				<% } %>
			<% } else { %>
				<p class="center">No experiments in the analysis.</p>
			<% } %>			
		</td>
		<td rowspan="2">
			<div class="tabsheet results-entity-details-tabsheet">
				<ul class="tabsheet-tabs">
					<li<%=activeSheet.equals("statistics-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'statistics-sheet'); return false;">Statistics</a></li>
					<li<%=activeSheet.equals("graphs-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'graphs-sheet'); return false;">Graphs</a></li>
					<li<%=activeSheet.equals("metadata-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'metadata-sheet'); return false;">Metadata</a></li>
					<li<%=activeSheet.equals("logs-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'logs-sheet'); return false;">Logs</a></li>
					<li<%=activeSheet.equals("export-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'export-sheet'); return false;">Export</a></li>
				</ul>
				<div class="tabsheet-sheets">
					<div id="statistics-sheet"<%=activeSheet.equals("statistics-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
						<%
							data.clear();
							data.put("statistics", analysis.getStatistics());
							out.flush(); // unforunately can't be inside writeTemplate method
							page_.writeTemplate("results-entity-statistics", data);
						%>
					</div>
					<div id="graphs-sheet"<%=activeSheet.equals("graphs-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
						<%
							data.clear();
							data.put("graphInfos", graphInfos);
							data.put("urlBase", page_.actionURL("analysis-results-graph")
								+ "?aid=" + Routines.htmlspecialchars(analysis.getId().toString())
							);
							out.flush(); // unforunately can't be inside writeTemplate method
							page_.writeTemplate("results-entity-graphs", data);
						%>
					</div>
					<div id="metadata-sheet"<%=activeSheet.equals("metadata-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
						<%
							data.clear();
							data.put("metadata", analysis.getMetadata());
							data.put("formParams", formParams);
							out.flush(); // unforunately can't be inside writeTemplate method
							page_.writeTemplate("results-entity-metadata", data);
						%>
					</div>
					<div id="logs-sheet"<%=activeSheet.equals("logs-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
						<%
							data.clear();
							data.put("logRecords", logRecords);
							data.put("logFields", logFields);
							out.flush(); // unforunately can't be inside writeTemplate method
							data.put("logEntityColumns", logEntityColumns);
							page_.writeTemplate("log-view", data);
						%>
					</div>
					<div id="export-sheet"<%=activeSheet.equals("export-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
						<%
							data.clear();
							data.put("formId", "analysis-details-experiment-export-form");
							data.put("formAction", page_.actionURL("experiment-export"));
							data.put("idsInputName", "eids");
							data.put("exportFormats", exportFormats);
							data.put("formParams", formParams);
							out.flush(); // unforunately can't be inside writeTemplate method
							page_.writeTemplate("results-entity-export", data);
						%>
					</div>
				</div>
			</div>
		</td>
	</tr>
</table>
