<%--

  BEEN: Benchmarking Environment
  ==============================
   
  File author: David Majda

  GNU Lesser General Public License Version 2.1
  ---------------------------------------------
  Copyright (C) 2004-2006 Distributed Systems Research Group,
  Faculty of Mathematics and Physics, Charles University in Prague

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1, as published by the Free Software Foundation.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

--%><%@
	include file="includes.jsp"
%><%@ page
	import="cz.cuni.mff.been.resultsrepository.gui.*"
	import="cz.cuni.mff.been.logging.*"
	import="java.util.EnumSet"
%><%
	page_.writeInfoMessages();
	page_.writeWarningMessages();
	page_.writeErrorMessages();

	Entity analysis = (Entity)application.getAttribute("analysis");
	Entity experiment = (Entity)application.getAttribute("experiment");
	Entity binary = (Entity)application.getAttribute("binary");
	List runs = (List)application.getAttribute("runs");
	LogRecord[] logRecords = (LogRecord[])application.getAttribute("logRecords");
	EnumSet logFields = (EnumSet)application.getAttribute("logFields");
	LogEntityColumn[] logEntityColumns = (LogEntityColumn[])application.getAttribute("logEntityColumns");
	String file = (String)application.getAttribute("file");
	DataFormat[] importFormats = (DataFormat[])application.getAttribute("importFormats");
	DataFormat[] exportFormats = (DataFormat[])application.getAttribute("exportFormats");
	String activeSheet = (String)application.getAttribute("activeSheet");
%>
<div class="bar"><div class="top-left"><div class="top-right"><div class="bottom-left"><div class="bottom-right"><div class="inner">
	<a href="<%=page_.actionURL("analysis-list")%>">Analyses</a>
	&raquo;
	<a
		href="<%=page_.actionURL("analysis-details")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>"
	><%=Routines.htmlspecialchars(analysis.getName())%></a>
	&raquo;
	<a
		href="<%=page_.actionURL("experiment-details")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>&amp;eid=<%=Routines.htmlspecialchars(experiment.getId().toString())%>"
	><%=Routines.htmlspecialchars(experiment.getName())%></a>
	&raquo;
	<a
		href="<%=page_.currentActionURL()%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>&amp;eid=<%=Routines.htmlspecialchars(experiment.getId().toString())%>&amp;bid=<%=Routines.htmlspecialchars(binary.getId().toString())%>"
	><%=Routines.htmlspecialchars(binary.getName())%></a>
</div></div></div></div></div></div>

<h1><%=Routines.htmlspecialchars(page_.getTitle())%></h1>

<%
	HashMap data = new HashMap();

	HashMap formParams = new HashMap();
	formParams.put("aid", analysis.getId().toString());
	formParams.put("eid", experiment.getId().toString());
	formParams.put("bid", binary.getId().toString());
%>

<table class="spacing center-block">
	<tr>
		<td>
			<h2>Runs</h2>
			<% if (runs.size() > 0) { %>
				<table class="list">
					<tr>
						<th>Name</th>
						<th>Valid</th>
						<th>&nbsp;</th>
					</tr>
					<% boolean anyInvalid = false; %>
					<% for (int i = 0; i < runs.size(); i++) { %>
					  <% Entity run = (Entity)runs.get(i); %>
					  	<% if (!run.isValid()) { anyInvalid = true; } %>
						<tr<%=!run.isValid() ? " class='invalid-invisible'" : ""%>>
							<th>
								<input type="checkbox" onclick="resultsBinaryDetailsRunCheckboxClick(this, <%=Routines.htmlspecialchars(run.getId().toString())%>);" />
								<a
									href="<%=page_.actionURL("run-details")%>?aid=<%=Routines.htmlspecialchars(analysis.getId().toString())%>&amp;eid=<%=Routines.htmlspecialchars(experiment.getId().toString())%>&amp;bid=<%=Routines.htmlspecialchars(binary.getId().toString())%>&amp;rid=<%=Routines.htmlspecialchars(run.getId().toString())%>"
								><%=Routines.htmlspecialchars(run.getId().toString())%></a>
							</th>
							<%=
								run.isValid()
									? "<td class=\"entity-status-valid\">yes</td>"
									: "<td class=\"entity-status-invalid\">no</td>"
							%>
							<td>
								<form action="<%=page_.actionURL("run-delete")%>"
									onsubmit="return confirm('Do you really want to delete run &quot;<%=Routines.htmlspecialchars(run.getId().toString())%>&quot;?');">
									<input type="hidden" name="aid" value="<%=Routines.htmlspecialchars(analysis.getId().toString())%>" />
									<input type="hidden" name="eid" value="<%=Routines.htmlspecialchars(experiment.getId().toString())%>" />
									<input type="hidden" name="bid" value="<%=Routines.htmlspecialchars(binary.getId().toString())%>" />
									<input type="hidden" name="rid" value="<%=Routines.htmlspecialchars(run.getId().toString())%>" />
									<input type="submit" class="type-submit" value="Delete"
										<%=run.isDeletable() ? "" : "disabled=\"disabled\""%>
									/>
								</form>
							</td>
						</tr>
					<% } %>
				</table>
				<% if (anyInvalid) { %>
					<p class="center">
						<a href="#" onclick="resultsBinaryDetailsShowInvalidRunsLinkClick(this); return false;">Show invalid runs &raquo;</a>
					</p>
				<% } %>
			<% } else { %>
				<p class="center">No runs in the binary.</p>
			<% } %>			
		</td>
		<td rowspan="2">
			<div class="tabsheet results-entity-details-tabsheet">
				<ul class="tabsheet-tabs">
					<li<%=activeSheet.equals("statistics-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'statistics-sheet'); return false;">Statistics</a></li>
					<li<%=activeSheet.equals("metadata-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'metadata-sheet'); return false;">Metadata</a></li>
					<li<%=activeSheet.equals("logs-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'logs-sheet'); return false;">Logs</a></li>
					<li<%=activeSheet.equals("export-sheet") ? " class=\"active\"" : "" %>><a href="#" onclick="tabsheetActivate(this, 'export-sheet'); return false;">Export</a></li>
				</ul>
				<div class="tabsheet-sheets">
					<div id="statistics-sheet"<%=activeSheet.equals("statistics-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
						<%
							data.clear();
							data.put("statistics", binary.getStatistics());
							out.flush(); // unforunately can't be inside writeTemplate method
							page_.writeTemplate("results-entity-statistics", data);
						%>
					</div>
					<div id="metadata-sheet"<%=activeSheet.equals("metadata-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
						<%
							data.clear();
							data.put("metadata", binary.getMetadata());
							data.put("formParams", formParams);
							out.flush(); // unforunately can't be inside writeTemplate method
							page_.writeTemplate("results-entity-metadata", data);
						%>
					</div>
					<div id="logs-sheet"<%=activeSheet.equals("logs-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
						<%
							data.clear();
							data.put("logRecords", logRecords);
							data.put("logFields", logFields);
							data.put("logEntityColumns", logEntityColumns);
							out.flush(); // unforunately can't be inside writeTemplate method
							page_.writeTemplate("log-view", data);
						%>
					</div>
					<div id="export-sheet"<%=activeSheet.equals("export-sheet") ? " class=\"tabsheet-sheet-visible\"" : " class=\"tabsheet-sheet-invisible\"" %>>
						<%
							data.clear();
							data.put("formId", "binary-details-run-export-form");
							data.put("formAction", page_.actionURL("run-export"));
							data.put("idsInputName", "rids");
							data.put("exportFormats", exportFormats);
							data.put("formParams", formParams);
							out.flush(); // unforunately can't be inside writeTemplate method
							page_.writeTemplate("results-entity-export", data);
						%>
					</div>
				</div>
			</div>
		</td>
	</tr>
</table>
