<%--

  BEEN: Benchmarking Environment
  ==============================
   
  File author: David Majda

  GNU Lesser General Public License Version 2.1
  ---------------------------------------------
  Copyright (C) 2004-2006 Distributed Systems Research Group,
  Faculty of Mathematics and Physics, Charles University in Prague

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License version 2.1, as published by the Free Software Foundation.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
  MA  02111-1307  USA

--%><%@
	include file="includes.jsp"
%><%@ page
	import="cz.cuni.mff.been.resultsrepository.gui.*"
%><%
	String file = (String)application.getAttribute("file");
	String formAction = (String)application.getAttribute("formAction");
	DataFormat[] importFormats = (DataFormat[])application.getAttribute("importFormats");
	HashMap formParams = (HashMap)application.getAttribute("formParams");
%>
<form action="<%=Routines.htmlspecialchars(formAction)%>" method="post" enctype="multipart/form-data">
	<% for (Iterator i = formParams.keySet().iterator(); i.hasNext();) { %>
		<% String key = (String)i.next(); %>
		<input type="hidden" name="<%=Routines.htmlspecialchars(key)%>" value="<%=Routines.htmlspecialchars((String)formParams.get(key))%>" />
	<% } %>
	<table class="form">
		<tr>
			<th>Format:</th>
			<td>
				<select name="format">
					<% for (int i = 0; i < importFormats.length; i++) { %>
						<option
							 value="<%=Routines.htmlspecialchars(importFormats[i].getId())%>"
						><%=Routines.htmlspecialchars(importFormats[i].getName())%></option>
					<% } %>
				</select>
			</td>
		</tr>
		<tr>
			<th>Data file:</th>
			<td>
				<%
					/* Index of this field in the form is used in
					 * ResultsModule.java. This form needs to by synchronized
					 * with that file.
					 */
				%>
				<input type="file" name="file"
					value="<%=Routines.htmlspecialchars(file)%>" />
			</td>
		</tr>
		<tr>
			<td class="buttons" colspan="2">
				<input type="submit" class="type-submit" name="export" value="Import" />
			</td>
		</tr>
	</table>
</form>